using System;
using System.Collections.Generic;

namespace ReflectionConsoleApplication
{
	public interface IMyBaseInterface
	{
		void DoSomethingBasic();
	}
	
	public interface IMyInterface : IMyBaseInterface
	{
		void DoSomethingOrOther();
	}

    class AncillaryClass : IMyInterface
    {
        public void DoSomethingOrOther()
        {
            Console.WriteLine("Now doing something");
        }

        public void DoSomethingBasic()
        {
            Console.WriteLine("Now doing something basic");
        }
    }

    public abstract class AnAbstractClass
    {
        public abstract void DoSomething();
    }

    public class AnotherClass : AnAbstractClass
    {
        public override void DoSomething()
        {
            Console.WriteLine("Now doing something");
        }
    }
}
